Bug 1118342 - Apache root conf should be enabled by default
Summary: Apache root conf should be enabled by default
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-reports
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.6.0
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 13:14 UTC by Yedidyah Bar David
Modified: 2015-04-05 13:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-05 13:54:55 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Yedidyah Bar David 2014-07-10 13:14:55 UTC
Description of problem:

During engine-setup of Reports on a separate host, user is asked:

          Setup can configure the default page of the web server to present the application home page. This may conflict with existing applications.
          Do you wish to set the application as the default page of the web server? (Yes, No) [No]:

Default should be 'Yes'.

This defaults to 'False' in the code (which is common), and is set to True in the engine's spec file. Can be solved by either adding such to Reports spec file or decide to change the default in the code to True. If we opt for the latter, we should change the code to be enabled only on supported distributions.

Comment 1 Sandro Bonazzola 2014-08-01 12:50:10 UTC
Not sure we should change the default to Yes.
Moving this to Yes as default let presume we're owning Apache server and not that we're just another application using Apache.

Comment 2 Yedidyah Bar David 2015-04-05 13:54:55 UTC
Now noticed that it does not happen to me during setup of reports on a separate machine. That is, it does not ask this question at all.

Not sure how it happened then - perhaps we later changed it or something like that.

Please reopen if relevant with detailed flow.


Note You need to log in before you can comment on or make changes to this bug.